Ubuntu 12.04 - подпись grub-efi-amd64 не смогла установить в / target /

7

У меня есть ноутбук HP Pavillion 14-n009tu (i-5, 4 ГБ) с установленной ОС Windows-8. Я пытаюсь установить ubuntu 12.04 в качестве операционной системы с двойной загрузкой в Windows8. Я также отключил быструю загрузку и безопасные параметры загрузки. При установке ubuntu 12.04: перед установкой ubuntu 12.04:

grub-efi-amd64-signed failed to install into /target/. Without GRUB boot loader,
the installed system will not boot

Я создал три раздела:

  1. 38GB-ext4- Корневой монтаж
  2. 08GB-ext4- /home
  3. область подкачки 10 ГБ

Пожалуйста, помогите мне решить эту проблему.

    
задан Ramji Makwana 05.01.2014 в 10:06
источник

6 ответов

3

Эй Рамджи имел ту же самую проблему. Я исправил свою проблему: я снова повторил шаги и убедился, что во второй раз подключен к Интернету. повторите процесс (не переделывайте снова, потому что жесткий диск все еще разделен), но на этот раз выбрал вариант форматирования разделов, чтобы удалить информацию, которая была загружена до сбоя установки. посмотрите комментарии здесь Почему 12.04 Не удается установить grub-efi в / target / ? если у вас все еще есть проблемы, следуйте этим инструкциям Ссылка

    
ответ дан Shule 04.02.2014 в 20:36
2

Я решил проблему, создав в начале диска раздел размером 200 МБ FAT32 с флагами boot и esp . Создание раздела с этой конфигурацией было предложено средством восстановления после загрузки после того, как я получил указанную вами ошибку, и попытался исправить ее с помощью такого инструмента.

Надеюсь, это поможет! Удачи!

    
ответ дан Cleber de Souza Alcântara 07.03.2017 в 20:25
1

Это ошибка. Если вы устанавливаете с помощью pendrive, просто измените имя файла grub-efi-amd64-signed_1.9~ubuntu12.04.4+1.99-21ubuntu3.10_amd.deb в каталоге /pool/main/g/grub2-signed/ , добавив 64 в конце до .deb . Он работает на 100%.

Ссылка

    
ответ дан Lui Suing 23.12.2014 в 18:40
0

Я работал над этой проблемой в Linux Mint 16, выполнив следующую команду перед запуском установки:

sudo dpkg --remove-architecture i386

Вероятно, это связано с установкой обеих 32- и 64-разрядных версий всех пакетов, если только один из них существует (или, возможно, для поддержки гетерогенных кластеров с 32-разрядными и 64-разрядными процессорами). В случае grub-efi-amd64 (который является частью grub-efi-amd64-signed ) обе версии существуют, но они объявляют конфликты друг с другом, так что они не могут быть установлены в одной системе.

    
ответ дан user833771 20.07.2014 в 01:33
0

У меня была такая же проблема при установке Ubuntu 16.04, а также при установке Mint.

Следующие шаги исправили мою проблему:

  1. Установите Ubuntu / Mint в зависимости от того, что вы хотите (после установки или между ними вы получите эту ошибку).
  2. Запуск o. с живой загрузкой.
  3. Установить восстановление загрузки.
  4. Выполните следующие шаги.

Вот и все. Перезагрузите компьютер и не забудьте удалить загрузочный носитель, который вы использовали.

    
ответ дан Prakash Kansurkar 02.10.2016 в 17:01
-1

Отключите параметры «Быстрая загрузка» и «Безопасная загрузка» в меню «Параметры загрузки». Выберите «Устаревшая загрузка». Перезагрузите процесс установки. Создайте загрузочный раздел > 1 МБ во время установки. Это решило проблему для меня в установке UBUNTU 16.04 LTS. Созданы разделы: / boot - 2048 МБ своп - 10000 МБ / - 50000 МБ / home - 100000 МБ

Отмечено, что осталось неиспользованным.

    
ответ дан Swaru 13.08.2016 в 09:19